Skip to main content
POST
/
v2
/
sync
/
aca
Sync ACA customers and policies
curl --request POST \
  --url https://api.carecycle.ai/v2/sync/aca \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "records": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "phoneNumber": "<string>",
      "email": "<string>",
      "postalCode": "<string>",
      "timezone": "<string>",
      "state": "<string>",
      "city": "<string>",
      "county": "<string>",
      "address": "<string>",
      "address2": "<string>",
      "dateOfBirth": "<string>",
      "language": "<string>",
      "gender": "Male",
      "maritalStatus": "Single",
      "filingStatus": "<string>",
      "dependentCount": -1,
      "householdIncome": -1,
      "isDecisionMaker": true,
      "medicaid": true,
      "medicaidNumber": "<string>",
      "veteran": true,
      "vaNumber": "<string>",
      "socialSecurityDisability": true,
      "carrierAssignedCustomerId": "<string>",
      "doNotCall": true,
      "doNotSMS": true,
      "doNotEmail": true,
      "doNotMail": true,
      "healthSherpaCustomerId": "<string>",
      "externalId": "<string>",
      "customFields": [
        {
          "fieldKey": "<string>",
          "value": "<string>"
        }
      ],
      "policies": [
        {
          "planName": "<string>",
          "planCode": "<string>",
          "carrierName": "<string>",
          "effectiveDate": "<string>",
          "enrollmentDate": "<string>",
          "aorNpn": "<string>",
          "writingAgentNpn": "<string>",
          "policyNumber": "<string>",
          "policySubType": "<string>",
          "applicationId": "<string>",
          "planState": "<string>",
          "planCounty": "<string>",
          "carrierAssignedPolicyId": "<string>",
          "status": "Active",
          "applicationApprovalDate": "<string>",
          "terminationDate": "<string>",
          "renewalDate": "<string>",
          "cancelledDate": "<string>",
          "electionPeriod": "IEP",
          "aorFirstName": "<string>",
          "aorLastName": "<string>",
          "writingAgentName": "<string>",
          "sepType": "<string>",
          "sepCode": "<string>",
          "sepStartDate": "<string>",
          "sepEndDate": "<string>",
          "sepDocumentationReceived": true,
          "sepDocumentationDate": "<string>",
          "sepNotes": "<string>",
          "monthlyPremium": "<string>",
          "deductible": "<string>",
          "outOfPocketMax": "<string>",
          "initialCommission": "<string>",
          "renewalCommission": "<string>",
          "spifAmount": "<string>",
          "policyLives": -1,
          "wasAgent": true,
          "writtenAs": "New Business",
          "isReplacing": "<string>",
          "isRewrite": true,
          "reasonForPurchase": "<string>",
          "policyNotes": "<string>",
          "healthSherpaPolicyId": "<string>",
          "hiosId": "<string>",
          "metalLevel": "Catastrophic",
          "gracePeriodStartDate": "<string>",
          "paidThroughDate": "<string>",
          "ffmApplicationId": "<string>",
          "ffmSubscriberId": "<string>",
          "subsidyAmount": "<string>",
          "usingSubsidy": true,
          "premiumMode": "Monthly",
          "grossPremium": "<string>",
          "netPremium": "<string>",
          "exchangeStatus": "FFM"
        }
      ]
    }
  ]
}
'
{
  "succeeded": 123,
  "failed": 123,
  "errors": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "error": "<string>"
    }
  ]
}
Sync ACA (Marketplace) customers and their policies into CareCycle. This endpoint handles customer matching, policy updates, and keeps your data in sync.
If uploading policies, if no status is specified, it defaults to "Active".

Authorizations

x-api-key
string
header
required

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

Body

application/json

POST /v2/sync/aca Request body

records
object[]
required

Array of ACA customer/policy records to sync (1-100)

Required array length: 1 - 100 elements

Response

POST /v2/sync/aca Positive response

succeeded
number
required

Number of successfully synced records

failed
number
required

Number of failed records

errors
object[]
required

Errors for failed records (empty if all succeeded)